MBeanUtil (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.jmx.MBeanUtil class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class MBeanUtil

    java.lang.Object
      org.hyperic.hq.product.jmx.MBeanUtil

    public class MBeanUtil

extends java.lang.Object

Nested Class Summary
`static interface` | `MBeanUtil.Converter`
`static interface` | `MBeanUtil.ListConverter`
`static class` | `MBeanUtil.OperationParams`

Field Summary
`static java.lang.String` | `DYNAMIC_SERVICE_DOMAIN`

Constructor Summary
`MBeanUtil()`

Method Summary
`static void` | `addConverter(java.lang.Class type, MBeanUtil.Converter converter)`
`static void` | `addConverter(java.lang.Class type, MBeanUtil.ListConverter converter)`
`static java.lang.String` | `anyToString(java.lang.Object obj)`
`static MBeanUtil.OperationParams` | `getAttributeParams(javax.management.MBeanInfo info, java.lang.String method, java.lang.Object[] args)`
`static MBeanUtil.OperationParams` | `getOperationParams(javax.management.MBeanInfo info, java.lang.String method, java.lang.Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DYNAMIC_SERVICE_DOMAIN

    public static final java.lang.String DYNAMIC_SERVICE_DOMAIN

See Also:
  Constant Field Values

Constructor Detail

### MBeanUtil

    public MBeanUtil()

Method Detail

### addConverter

    public static void addConverter(java.lang.Class type,
                                    MBeanUtil.Converter converter)

### addConverter

    public static void addConverter(java.lang.Class type,
                                    MBeanUtil.ListConverter converter)

### getAttributeParams

    public static MBeanUtil.OperationParams getAttributeParams(javax.management.MBeanInfo info,
                                                               java.lang.String method,
                                                               java.lang.Object[] args)
                                                        throws PluginException

  Throws:
    `PluginException`

### getOperationParams

    public static MBeanUtil.OperationParams getOperationParams(javax.management.MBeanInfo info,
                                                               java.lang.String method,
                                                               java.lang.Object[] args)
                                                        throws PluginException

  Throws:
    `PluginException`

### anyToString

    public static java.lang.String anyToString(java.lang.Object obj)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.